This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 809648 - in follow up to Redhat case#00618469. application functions only when SELINUX is set to permissive
in follow up to Redhat case#00618469. application functions only when SELINUX...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.7
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 18:53 EDT by i_ajay_1999
Modified: 2013-03-19 10:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 10:48:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description i_ajay_1999 2012-04-03 18:53:54 EDT
in follow up to Redhat case#00618469. application functions only when SELINUX is set to permissive.

we tried the following:

1. turned on httpd_unified boolean

2. built custom module and now cat audit.log |allow2audit -alR does not show any messages.

  But, still application works only in permissive mode.
  No, selinux error in the either messages or audit.log file but application works in permissive mode ony. Kernel has booted in audit=1 mode.

please look at case#00618469 for more details.
Comment 2 Miroslav Grepl 2012-04-04 04:52:00 EDT
Could you try to test it with

# semodule -DB

which will turn off dontaudit rules.
Comment 4 Daniel Walsh 2012-04-05 11:47:52 EDT
i_ajay_1999

Who are you working this with from Red Hat, I would like to add them to the bugzilla.
Comment 5 i_ajay_1999 2012-04-05 12:31:03 EDT
Simon Sek. was the redhat engineer working this case...thx-ajay
Comment 6 i_ajay_1999 2012-04-05 17:40:22 EDT
doing "semodule -DB"  and running the job in enrocing mode (it failed) and in permissive mode (was successful) did not create any logs either in /var/log/messages or in audit.log.
Comment 7 Miroslav Grepl 2012-04-06 02:32:18 EDT
Is auditd running?
Comment 8 i_ajay_1999 2012-04-16 14:57:36 EDT
Yes
Comment 9 Miroslav Grepl 2012-07-16 04:42:42 EDT
Does it still persist?
Comment 10 Miroslav Grepl 2013-03-19 10:48:14 EDT
I am going to close this bug. If the problem still persists, please reopen the bug. Thank you.

Note You need to log in before you can comment on or make changes to this bug.